# GET /api/v1/preferences/notifications/topics

> Get Topic Overrides Endpoint

- **Tag:** notification-preferences
- **Operation ID:** `get_topic_overrides_endpoint_api_v1_preferences_notifications_topics_get`

## Description

Return the per-topic channel overrides for the current user.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Responses

### 200 — Successful Response

Schema: `TopicChannelOverridesResponse`

- `overrides` (object) — Map of topic -> {channel: bool}
- `available_channels` (array · string) — Channels the override grid can toggle

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/preferences/notifications/topics' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/preferences/notifications/topics', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/preferences/notifications/topics", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/notification-preferences/get-topic-overrides-endpoint
- OpenAPI slice: https://www.ondayzero.com/docs/reference/notification-preferences/get-topic-overrides-endpoint/openapi.json
- Other endpoints in **notification-preferences**: https://www.ondayzero.com/docs/reference/notification-preferences
